# Description: Tests that the external network is unreachable when public_network_access is set to false.

input:
  environment: "alpine:3.21"
  command:
    - "ping"
    - "-c"
    - "4"
    - "-A"
    - "1.1.1.1"
  features:
    public_network_access: false
  limits:
    wall_time_ms: 5000
    cpu_cores: 1
    action_processes: 100
    user_processes: 100
    memory_bytes: 100MB
    disk_bytes: 10MB
    output_bytes: 10MB

expectedOutput:
  result:
    exit_code: 1
    status: CRASHED
    outputs:
      - resource:
          uri_string: "stream:stdout"
          contents: "@stdout.txt"
          meta:
            uid: 0
            gid: 0
            userPermissions: { read: true }
            groupPermissions: { read: true }
            othersPermissions: { read: true }
        is_present: true
        exceeded_size: false
      - resource:
          uri_string: "stream:stderr"
          contents: "@stderr.txt"
          meta:
            uid: 0
            gid: 0
            userPermissions: { read: true }
            groupPermissions: { read: true }
            othersPermissions: { read: true }
        is_present: true
        exceeded_size: false
  metrics:
    output_bytes: 72
    created_processes: 1
    max_processes: 1
    disk_bytes: 0
